package de.ivu.elect.business.wahl.control;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.WahlParameterWerte;
import de.ivu.elect.business.wahl.entity.Wahltermin;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class WahlResetWahlParameterInit extends AbstractWahlParameterInit {

  public WahlResetWahlParameterInit() {
    super();
  }

  @Override
  protected Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    List<WahlParameter> result = new ArrayList<>();
    add(result, WahlParameterWerte.WAHL_RESET_OPTION_AWERTE_LOESCHEN, getAwerteLoeschenDefault());
    return result;
  }

  protected Boolean getAwerteLoeschenDefault() {
    return Boolean.FALSE;

  }
}
